Home
Release Notes
Home
Release Notes
Linkedin
  1. Payments
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Validate Account
        • Request Sender Document Upload URL
      • Reconciliation
        • Reconciliation
      • Quotations
        • Create Quotation
    • Bills
      • Services
        • Categories
        • Providers
        • Services
        • Service Configurations
        • available currencies
      • Payments
        • Inquiry
          POST
        • Fees
          POST
        • Confirm Payment
          POST
        • Bill Payment List
          GET
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Payments

Confirm Payment

POST
/bills/payments/confirm
Confirm Payment
This API endpoint is used to confirm a payment transaction. It requires the service ID and Balad's reference number.
Request Params
SI NoParameterTypeMandatoryRemarks
1service_idStringYUnique service ID
2balad_reference_numberStringYThe reference number generated from the inquiry or fees endpoint depending on the service
Response Params
ParameterRemarks
balad_reference_numberThe reference number provided by Balad.
amount_egpThe amount of the transaction in Egyptian pounds.
account_numberThe account number involved in the transaction.
display_messageA descriptive message about the transaction.
total_amount_egpThe total amount of the transaction in Egyptian pounds.
foreign_amountThe amount of the transaction in foreign currency.
total_foreign_amountThe total amount of the transaction in foreign currency.
foreign_currency_codeThe currency code of the foreign currency used in the transaction.
transaction_numberThe unique identifier of the transaction.
transaction_timeThe timestamp of the transaction.
reference_numberThe reference number of the transaction.
powered_byThe service provider powering the transaction.
fees_egpThe fees associated with the transaction in Egyptian pounds.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{
    "service_id": 55,
    "parameters":[
        {
            "key":"balad_reference_number",
            "value":"XXX"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/bills/payments/confirm' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "service_id": 55,
    "parameters":[
        {
            "key":"balad_reference_number",
            "value":"XXX"
        }
    ]
}'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "key": "balad_reference_number",
            "value": "XXX"
        },
        {
            "key": "amount_egp",
            "value": "XXX"
        },
        {
            "key": "account_number",
            "value": "XXXXXXXXXX"
        },
        {
            "key": "display_message",
            "value": "Home Internet 20GB"
        },
        {
            "key": "total_amount_egp",
            "value": "XXX"
        },
        {
            "key": "foreign_amount",
            "value": "XXX"
        },
        {
            "key": "total_foreign_amount",
            "value": "1XXX"
        },
        {
            "key": "foreign_currency_code",
            "value": "USD"
        },
        {
            "key": "transaction_number",
            "value": "XXXXXX"
        },
        {
            "key": "transaction_time",
            "value": "1-Dec-2023 12:30 PM"
        },
        {
            "key": "reference_number",
            "value": "XXXXXXX"
        },
        {
            "key": "powered_by",
            "value": "eKhales"
        },
        {
            "key": "fees_egp",
            "value": "XX"
        }
    ],
    "errors": null
}
Previous
Fees
Next
Bill Payment List
Built with